<?php

namespace Pmg\Includes;
use Pmg\Includes\Functions;

class Front
{

	private $filter;

	public function __construct() {
		$this->filter = new Filter;
		$this->filter->add_action( 'wp_enqueue_scripts', $this, 'puddinq_map_geo_scripts' );
		$this->filter->add_filter( 'the_content', 'Pmg\Includes\Functions', 'puddinq_map_geo_content_filter' );
		$this->filter->run();

	}

	public function puddinq_map_geo_scripts()
	{

		if (!is_admin() && is_singular( 'maps' )) {
			/* ol style */
			wp_enqueue_style('ol-style', plugins_url('css/ol.css', PMGFILE), false, '');
			wp_enqueue_style('custom-style', plugins_url('css/custom.css', PMGFILE), false, '');
			/* ol script */
			wp_enqueue_script('ol-script', plugins_url('js/ol.js', PMGFILE), ['jquery'], 'v3.16.0', true);

		}
	}

}